eoExternalBinOp(3)

NAME
eoExternalBinOp - Crossover of external struct, ctor expects a function of the following signature:.

SYNOPSIS

#include <eoExternalOpFunctions.h>

Inherits eoBinOp< ExternalEO >.

  Public Member Functions
eoExternalBinOp (bool(*_binop)(External &, const External &))
bool operator() (ExternalEO &eo1, const ExternalEO &eo2)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
bool(* binop )(External &, const External &)

Detailed Description

  template<class F, class External, class ExternalEO = eoExternalEO<F, External>> class eoExternalBinOp< F, External, ExternalEO >
Crossover of external struct, ctor expects a function of the following signature:. bool func(External&, const External&);

Where External is the user defined struct or class The function should return true when it changed something, false otherwise

Definition at line 128 of file eoExternalOpFunctions.h.

Author

Generated automatically by Doxygen for EO from the source code.